function matout = squeeze(matin)
 
// PURPOSE: Remove singleton dimensions, that is any dimension
// for which the size of the input hypermatrix is 1; if the
// input is a matrix, it is unaffected
// ------------------------------------------------------------
// INPUT:
// * matin = a hypermatrix or a matrix of constant type
// ------------------------------------------------------------
// OUTPUT:
// * matout = a hypermatrix or a matrix of constant type
// ------------------------------------------------------------
// Written by  Eric Dubois 2002-2007
// http://dubois.ensae.net/grocer.html
 
 
 
typein=typeof(matin)
 
select typein
case 'hypermat' then
   dims=matin('dims')
   [a,ind]=find(dims ~= 1)
   str='matout=matrix(matin'
   for i=1:size(ind,2)
      str=str+','+string(dims(ind(i)))
   end
   str=str+')'
   execstr(str)
case 'constant'
   matout=matin
else
   error(tyepin+'is not an admissible type in squeeze')
end
 
endfunction
 
