function vsave = bintodec(binsave,nvar)
 
// PURPOSE: convert "base 2" codes for models into bit
//-------------------------------------------------------
// INPUT:
// * binsave = vector of numbered different visited models in binary codes
// * nvar = # of exogenous variable
//-------------------------------------------------------
// RETURNS:
// * vsave = matrix
//-------------------------------------------------------
// E. Michaux (2005)
 
 
 
 
nbinsave = size(binsave,1)
vsave = zeros(nbinsave,nvar)
 
for i = 1:nbinsave
	
	D = binsave(i)
	div = 0
	
	while div < nvar
		R = D-2*int(D/2)
 
		vsave(i,nvar-div)	= R
		D = int(D/2)
		div = div+1	
	end
 
end
 
 
endfunction
