function olsecm_d();
 
// PURPOSE: demo program for olsecm
// estimation and test of cointegration between
// US consumption, real wealth and real income
//-----------------------------------------------
// LABEL OF THE DATA:
// - co = private consumption
// - p = price index
// - w = wealth
// - y = income
// - r = long term interest rate
// - u = unemployment rate
//-----------------------------------------------
 
 
global GROCERDIR;
 
load(GROCERDIR+'/data/UsCons.dat');
 
// take logs
lco =log(co);
lrw = log(w/p);
lry = log(y/p);
 
// estimation of the error correction and test of cointegration
bounds('1957q1','1998q4');
rolsecm = olsecm(0,'lco','coint=[''lrw'';''lry'']',...
'lagts(2,delts(lco))','delts(lry)','lagts(delts(lry))','lagts(delts(lrw))',....
'lagts(delts(r))','lagts(2,delts(r))','delts(u)','cte');
 
 
disp('check if the results are the same when the user gives it''s own cointegrating vector')
halt();disp('strike any key to continue');
 
// user own cointegrating vector and test of cointegration
bounds('1957q2','1998q4');
rolsecm = olsecm(0,'delts(lco)','coint=''lco-0.1779062*lrw-0.8684839*lry-3.9326624''',...
'lagts(2,delts(lco))','delts(lry)','lagts(delts(lry))','lagts(delts(lrw))',....
'lagts(delts(r))','lagts(2,delts(r))','delts(u)','cte');
 
endfunction
 
 
