function [paramfin,likl1,grad] = MSVAR_MaxHmm(param);
 
// PURPOSE: peforms the optimisation and returns parameters,
// loglikelihood, gradient
// ------------------------------------------------------------
// INPUT:
// * param = a (n x1) vector of starting values for the
//   parameters to estimate
// ------------------------------------------------------------
// OUTPUT:
// * paramfin = a (n x1) vector of estimated parameters
// * likl1 = the log-liklihood at estimated parameters
// * grad = the gradient at estimated parameters
// ------------------------------------------------------------
// Adapted to Scilab by Eric Dubois
// from Gauss library MSVarlib 2.0
// Copyright (C) 2004 by Benoit BELLONE.  All rights reserved
 
 
 
[likl1,paramfin,grad] = optim(MSVAR_likfcn,param,'ar',10000,10000,sqrt(%eps),1e-4);
likl1=-likl1
grad=-grad
 
endfunction
