function MSVAR_PrintInit(param,K,M,var_opt,M_V,n_x,n_z);
//==========================================================================================================================
// MSVARlib Version 2.0 - January 2005   							    																
// First Version  - May 2004   							    																	    			
// Benoit BELLONE                                         							   	   							
// Copyright (C) 2004 by Benoit BELLONE.  All rights reserved - http://bellone.ensae.net - e-mail: benoit.bellone@ensae.org
// To install and adapt this program : MSVARlib_readme.txt             						
//  See for more detail : "Classical Estimation of Multivariate Markov-Switching Models using MSVARlib", (2005).	
//
//==========================================================================================================================
 
 
//==============================================PrintInit=======================================================================
// MSVAR_printinit
//  prints  a reconstructed set of parameters, bound to initialize the estimation
//==========================================================================================================================
 
 
 
 
param_init=MSVAR_Constraint(param);
[PR_ergodic_init,ptrans_init,beta_init,delta_init,var_cov_init,inv_var_cov_init,det_inv_var_cov_init]...
=MSVAR_Vec_Mat(param_init,K,M,var_opt,M_V,n_x,n_z);
 
disp("=================Initial real and transformed parameters, para_m and param_init:==================");
disp([param param_init]);
 
disp(rows(param),"rows(param)");
 
 
disp(" ")
disp("==================Initial matrix of transition markovian probabilities, ptrans_init:==================");
disp(ptrans_init);
disp(" ");
 
disp("==================Initial switching regressors (or intercepts), Beta :==================");
disp(beta_init);
disp(" ");
 
disp("==================Initial ergodic state probabilities, prob_st_init:==================");
disp(PR_ergodic_init);
disp(" ");
 
disp("==================Initial state covariance, var_init:=========================");
disp(var_cov_init');
disp(" ");
 
disp("=========================Det(inv(var_cov_init)):=========================");
disp(det_inv_var_cov_init);
disp(" ");
 
disp("==================Initial non switching regressors (or intercepts), Delta :==================");
disp(delta_init(:,1));
 
 
 
 
endfunction
