function [b,f]=nelmead(fkt,x,epsilon,nitermax,varargin);
 
 
[nargout,nargin] = argn(0)
if nargin == 2 then
   epsilon=1E-10;
   varargin= list()
end
 
alpha=1;
bet=0.5;
gam=2;
p = rows(x);
 
// Step A: Intialisation of simplex
// and computing function values
 
s = [x (ones(1,p).*.x + 0.1*eye(p,p))]
f = zeros(p+1,1);
 
for i=1:p+1
   f(i)=fkt(s(:,i),varargin(:))
end
 
niter=1
sctd0=stdc(f)*2
while stdc(f) > epsilon & stdc(f) ~= sctd0 & niter < nitermax
   niter=niter+1
   sctd0=stdc(f)
   fs=[f s']
 
// Step B: Ordering
   [v,indv]=gsort(fs(:,1),'g','i')
   f=fs(indv,1)
   s=fs(indv,2:$)'
   xo=mean(s(:,1:p),'c')
 
// Step C: Compute Centroid
   fo=fkt(xo,varargin(:))
   xr=xo + alpha*(xo-s(:,p+1))
   fr=fkt(xr,varargin(:))
 
// Step D: Reflection
 
   if fr < f(1) then
 
// Step E: Comparison of fo with min-f and substitution of edge with max-f
      xe=xo+gam*(xr-xo)
      fe=fkt(xe,varargin(:))
//
      if fe < f(1) then
         s(:,p+1)=xe;
         f(p+1)=fe;
      else
// if improvement occurs
         s(:,p+1)=xr;
         f(p+1)=fr;
      end
 
   elseif fr < f(p) then
      s(:,p+1)=xr
      f(p+1)=fr
 
   else
      if fr < f(p+1) then
 
// Step F: Contraction
         s(:,p+1)=xr
         f(p+1)=fr;
      end
      xc=xo + bet*(s(:,p+1)-xo)
      fc=fkt(xc,varargin(:))
 
      if fc < f(p+1) then
 
// Step G: Comparison
         s(:,p+1)=xc
         f(p+1)=fc
      else
 
// Step H: Reducing the size
         s=0.5*(s+s(:,1:p+1));
         for i=2:p+1;
           f(i)=fkt(s(:,i),varargin(:))
         end
      end
   end
end
 
b=s(:,1)
f=f(1)
result = tlist(['results';'meth';'b';'f'],...
            'nelmeade',s(:,1),f)
 
endfunction
