  function [r0,r1,r2]=panel_d()
 
global GROCERDIR;
 
// The followig program uses the data from " Introduction to the Theory and Practice of
//  Econometrics "(Judge, Hill, Griffiths, Ltkepohl and Lee) Second Edition.
//  Chapter 11 pages 476-479 and pages 487-488, as an example to test the procedures for
//  panel data estimation.
 
load(GROCERDIR+'\data\judgepanel.dat')     // Judge Example with Balanced Panel
 
//  Pooled Estimation
r0 = ppooled('y',judgepanel,'cte');
 
//  Fixed Effects Estimation
r1 = pfixed('y',judgepanel);
 
//  Random Effects Estimation
r2 = prandom('y',judgepanel);
 
//  Haussman Test
phaussman(r1,r2);
 
 
 
endfunction
