function pltbrybos(res)
 
// PURPOSE: plots the results of the Bry-Boschan function
// ------------------------------------------------------------
// INPUT:
// * res = the results typed list from function brybos
// ------------------------------------------------------------
// OUPTUT:
// nothing: all results are plotted
// ------------------------------------------------------------
 
// load the parameters that determines the fonts
 
global GROCERDIR;
 
load(GROCERDIR+'/data/param_g.dat')
set("old_style","on")
 
y = res('y')
nobs = size(y,1)
 
nbcpf=res('ind_peaks')
nbctf=res('ind_troughs')
// set the values of the x axis:
bo=res('bounds')
for i=1:size(bo,1)/2
   d1=date2num(bo(i*2-1))
   xscale0=num2date([d1:d1+diff_date(bo(2*i),...
           bo(2*i-1))],date2fq(bo(i*2-1)))
end
 
x = (1:nobs)'
ymin = min(y)
ymax = max(y)
dy = (ymax - ymin)*0.05;
rect = [1,ymin - dy,size(y,1),ymax+dy];
 
xbasc()
if res('filter') == 'none' then
   plot2d(x,y,style=1,frameflag=5,rect=rect,axesflag=0)
   y0=drawy(y,font_axis,[])
   drawx(xscale0,1,ref_nbinter,font_axis,y0)
   plot2d(nbcpf,y(nbcpf),style=-6,frameflag=0,axesflag=0)
   plot2d(nbctf,y(nbctf),style=-7,frameflag=0,axesflag=0)
   titl='Turning points analysis of '+res('namey')
   font_title=min(maxcar,maxcar-floor(lengthtitle=max(length(titl))/thresh))
   xset("font size",font_title)
   xset("font size",min(font_axis,3))
   xtitle(titl)
   legends(['Observed';'Peaks';'Troughs'],[1,-6,-7],"ul")
 
else
   fy = res('filt. y')
   plot2d(x,[y fy],style=[1,2],frameflag=5,rect=rect,axesflag=0)
   y0=drawy(y,font_axis,[])
   drawx(xscale0,1,ref_nbinter,font_axis,y0)
   plot2d(nbcpf,y(nbcpf),style=-6,frameflag=0,axesflag=0)
   plot2d(nbctf,y(nbctf),style=-7,frameflag=0,axesflag=0)
   titl='Turning points analysis of '+res('namey') +' transformed by a '+res('filter')
   font_title=min(maxcar,maxcar-floor(lengthtitle=max(length(titl))/thresh))
   xset("font size",font_title)
   xset("font size",min(font_axis,3))
   xtitle(titl)
   legends(['Observed';res('filter');'Peaks';'Troughs'],[1,2,-6,-7],"ul")
end
 
set("old_style","off")
 
endfunction
