function []=pltms_prob(res,typ_prob,nmax)
 
// PURPOSE: plots the states probabilities from a Markov
// Swiching (ms) regression
// ------------------------------------------------------------
// INPUT:
// * res = the results typed list of a ms regression
// * typ_prob = 'smoothed' or 'filtered'
// * nmax = maximum numbers of graphs per window (if not
//   provided, then the numbers ofgraphs per window is equal to
//   the number of states
// ------------------------------------------------------------
// OUTPUT:
// nothing: all results are plotted
// ------------------------------------------------------------
// Copyright: Eric Dubois 2006
 
 
 
[nargout,nargin]=argn(0)
nb_states=res('nb_states')
execstr('probas=res('''+typ_prob+' probs'')')
T=res('nobs')
 
// if there are ts in the regression, set the values of the x
// axis:
if res('prests') then
   bo=res('bounds')
   xscale0=[]
   nobsi=diff_date(bo(2),bo(1))+1
   d1=date2num(bo(1))
   fq=date2fq(bo(1))
   xscale0=num2date([d1:d1+nobsi-1],fq)
else
   xscale0 = [1:nobs]
end
 
t=winsid()
for i=1:nb_states
   y=probas(:,i)
   tit=typ_prob+' probabilities in regime '+string(i)
 
   pltseries0(y,0,tit,string(xscale0),t($)+i)
end
 
endfunction
