function []=pltms_resid(res,nmax)
 
// PURPOSE: plots the states probabilities from a Markov
// Swiching (ms) regression
// ------------------------------------------------------------
// INPUT:
// * res = the results typed list of a ms regression
// * nmax = maximum numbers of graphs per window (if not
//   provided, then the numbers ofgraphs per window is equal to
//   the number of endogenous variables
// ------------------------------------------------------------
// OUPTUT:
// nothing: all results are plotted
// ------------------------------------------------------------
// Copyright: Eric Dubois 2006
 
 
 
[nargout,nargin]=argn(0)
nendo=res('nendo')
resid=res('resid')
namey=res('namey')
 
T=res('nobs')
 
// if there are ts in the regression, set the values of the x
// axis:
if res('prests') then
   bo=res('bounds')
   xscale0=[]
   nobsi=diff_date(bo(2),bo(1))+1
   d1=date2num(bo(1))
   fq=date2fq(bo(1))
   xscale0=num2date([d1:d1+nobsi-1],fq)
else
   xscale0 = [1:nobs]
end
 
t=winsid()
for i=1:nendo
   y=resid(:,i)
   tit='residuals for endogenous '+namey(i)
 
   pltseries0(y,0,tit,string(xscale0),t($)+i,'bars=1','color=5')
end
 
endfunction
