function []=pltms_yyhat(res,nmax)
 
// PURPOSE: plots the original and adjusted endogenous
// variables from a Markov Swiching (ms) regression
// ------------------------------------------------------------
// INPUT:
// * res = the results typed list of a ms regression
// * nmax = maximum numbers of graphs per window (if not
//   provided, then the numbers ofgraphs per window is equal to
//   the number of endogenous variables)
// ------------------------------------------------------------
// OUPTUT:
// nothing: all results are plotted
// ------------------------------------------------------------
// Copyright: Eric Dubois 2006
 
 
 
[nargout,nargin]=argn(0)
nendo=res('nendo')
y=res('ymat')
yhat=res('yhat')
namey=res('namey')
 
T=res('nobs')
 
// if there are ts in the regression, set the values of the x
// axis:
if res('prests') then
   bo=res('bounds')
   xscale0=[]
   nobsi=diff_date(bo(2),bo(1))+1
   d1=date2num(bo(1))
   fq=date2fq(bo(1))
   xscale0=num2date([d1:d1+nobsi-1],fq)
else
   xscale0 = [1:nobs]
end
 
t=winsid()
for i=1:nendo
   yn=[y(:,i) yhat(:,i)]
   tit='endogenous '+namey(i)+': observed and fitted'
   pltseries0(yn,0,tit,string(xscale0),t($)+i,'thickn=[1 2]','leg=[observed;fitted]','styleg=4')
end
 
endfunction
