function [y0,scale]=drawy(y,font_axis,y0,x0,dircar,just_scale,rever,sep)
 
// PURPOSE: draw a y axis for a graph which is readable
// whatever number of values it contains
// ------------------------------------------------------------
// INPUT:
// * y = the y matrix of the graph
// * font_axis = size of characters on the axis
// * y0 = value of the y axis where to draw the x axis or [] if
//   the user wants to put the x axis at the minimum y value
// * x0 = value of the x axis where to draw the y axis
//   (default: 1)
// * dircar= the tics direction (default: 'l', see drawaxis
//   for details)
// ------------------------------------------------------------
// OUPTUT:
// * y0 = value of the y axis where to draw the x axis
// * scale = the col vector of values reported on the scale
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002
 
 
 
[nargout,nargin]=argn(0)
ynonna=y(~isnan(y))
// determine the range of the y axis
select nargin
case 3  then
   x0=1
   dircar='l'
   just_scale=%f
   rever=0
   sep='.'
case 4 then
   dircar='l'
   just_scale=%f
   rever=0
   sep='.'
case 5 then
   just_scale=%f
   rever=0
   sep='.'
case 6 then
   rever=0
   sep='.'
case 7 then
   sep='.'
end
 
[scale,ymin,ymax]=yscale(ynonna,just_scale)
scaleb=string(scale)
if sep ~= '.' then
   scaleb=strsubst(string(scale),'.',',')
   l=max(length(scaleb))
   for i=1:size(scaleb,2)
      scalei=scaleb(i)
      indsep=strindex(scaleb(i),sep)
      if isempty(indsep) then
         z=emptystr(l-2)+'0'
         scaleb(i)=scalei+sep+z
      end
   end
end
// scale is the vector of values that will be drawn
lasttic=size(scale,2)
 
if just_scale then
   drawaxis(y=[scaleb(lasttic) max(ynonna)],x=x0,dir=dircar,tics='v',fontsize=font_axis,val=emptystr(2,1),sub_int=0)
   drawaxis(y=[min(ynonna) scaleb(1)],x=x0,dir=dircar,tics='v',fontsize=font_axis,val=emptystr(2,1),sub_int=0)
   drawaxis(y=scaleb,x=x0,dir=dircar,tics='v',fontsize=font_axis,sub_int=0)
   scaleb=[ymin,ymax]
else
   drawaxis(y=scale,x=x0,dir=dircar,tics='v',fontsize=font_axis,sub_int=0,val=scaleb)
end
 
if y0 == [] then
   y0=min(scale)
end
 
if rever then
   ga=gca()
   ga_ch=ga.children
   ga_ch_axis=ga_ch($)
   ga_ch_axis.tics_labels=string(-ga_ch_axis.ytics_coord)
end
endfunction
