function []=mpltseries0(ymat,y0vec,titlevec,xscale0mat,wind,varargin)
 
// PURPOSE: plots series... (scilab function plot2d, but with
// some scilab parameters fixed and new possibilities, such as
// ts)
// ------------------------------------------------------------
// INPUT:
// * s = a (nx1) or (1xn) vector, a ts or a string representing
//   the name of such a vector or ts
// * (optional) varargin:
//   - 'title=x' if the user want to give its own title
//     (default: the name of the ts if it has been given
//     between quotes, the string 'ts' if not)
//   - 'bounds=[''b1'' ; ''b2'' ;...; ''bn'']' if the user
//     wants to give its own bounds
//     (default: the whole series)
//   - 'window=x' if the user wants to specify the # x where
//     the graph is plotted
//     (default: the window 1)
// ------------------------------------------------------------
// OUPTUT:
// nothing: all results are printed on the graphic window
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002
 
 
global GROCERDIR;
 
set("old_style","on")
// load the parameters that determines the fonts
load(GROCERDIR+'/data/param_g.dat')
 
nargin=length(varargin)
for i=1:nargin
   l=length(varargin(i))
   endc=part(varargin(i),strindex(varargin(i),'=')+1:l)
   if part(varargin(i),1:5) == 'color' then
      color=endc
   elseif part(varargin(i),1:3) == 'leg' then
      legend=endc
   end
end
 
nobs=size(ymat,1)
 
if wind ~= -1 then
   xset("window",wind)
// clean the screen:
   xbasc(wind)
end
 
font_title=min(maxcar,maxcar-floor(lengthtitle=max(length(titlevec))/thresh))
 
N=size(ymat,2)
for i= 1:N
   xsetech([0 (i-1)/N 1 1/N])
   xscale0=xscale0mat(i,:)
   y=ymat(:,i)
   y0=y0vec(i)
   title=titlevec(i)
   // determine the # of tics in order to leave the x scale
   // readable
 
   xset("font size",font_title)
   xtitle(title)
 
   xset("font size",min(font_title,3))
 
   strplt='plot2d([1:nobs],y,'
   if exists('color','local') then
      strplt=strplt+color+','
   end
   strplt=strplt+'axesflag=0'
   if exists('legend','local') then
      strplt=strplt+',leg=legend'
   end
   strplt=strplt+')'
   execstr(strplt)
 
   y0=drawy(y,font_axis,y0)
 
   drawx(xscale0,1,ref_nbinter,font_axis,y0)
 
end
set("old_style","off")
endfunction
