function [xpxi,xpxixp]=invxpx(x)
 
// PURPOSE: provide inversion of the matrix (x'x) using the
// QR decomposition
// ------------------------------------------------------------
// INPUT:
// x = a (nxk) real matrix
// ------------------------------------------------------------
// OUTPUT:
// xpxi = the (k x k) matrix equal to inv(x'x)
// ------------------------------------------------------------
// NOTES:
// used by the following functions:
// ols0(), ols1(), ols2()
// ------------------------------------------------------------
// Copyright: Eric Dubois 2004-2009
// http://dubois.ensae.net/grocer.html
 
 
 
[q,r]= qr(x,'e')
ir=inv(r)
xpxi=ir*ir'
xpxixp=ir*q'
 
endfunction
