function [ts]=%s_r_ts(const,ts)
 
// PURPOSE: operates the division of a number by a timeseries;
// the overloading capability of scilab allows then one to write
// const/ts to do the division
// ------------------------------------------------------------
// INPUT:
// * const = a real constant
// * ts = a time series
// ------------------------------------------------------------
// OUTPUT:
// * ts = the division of the number by the timeseries
// ------------------------------------------------------------
// NOTES:
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002-2009
// http://dubois.ensae.net/grocer.html
 
 
 
s=ts('series')
scalc=(~isnan(s) & s ~=0)
s(scalc)=ones(size(s,1)-size(scalc,1)) ./ s(scalc)
ts('series')=s
ts(5)=''
 
endfunction
