function [tsmat]=%tsmat_s_s(tsmat,const)
 
// PURPOSE: substracts a constant to a tsmat;
// the overloading capability of scilab allows then one to
// write tsmat-const to do the product
// ------------------------------------------------------------
// INPUT:
// * tsmat= a tlist of type tsmat
// * const = a real constant
// ------------------------------------------------------------
// OUTPUT:
// * tsmat= a tlist of type tsmat,
//      subtraction of a constant to a tsmat
// ------------------------------------------------------------
// Copyright: Eric Dubois 2008
// http://dubois.ensae.net/grocer.html
 
// for the sake of speed, fill the timeseries ts with the
// values of the product
 
global GROCERDIR;
 
tsmat('series')=tsmat('series')-const
 
load(GROCERDIR+'\param/tsmat_names.dat')
select tsmat_names
 
case 'reset' then
   tsmat('names')='var'+string([1:size(tsmat('series'),2)]')
 
case 'trace' then
   tsmat('names') = tsmat('names')+' - '+string(const)
 
end
 
endfunction
