function varargout=tsmat2ts(grocer_tsmat)
 
// PURPOSE: transform a tsmat into n ts
// ------------------------------------------------------------
// INPUT:
// * tsmat = a tsmat object
// ------------------------------------------------------------
// OUTPUT:
// * varargout = 0 or n ts with n the # of ts in the tsmat
// ------------------------------------------------------------
// Copyright Eric Dubois 2008
// http://dubois.ensae.net/grocer.html
 
 
 
grocer_nargout=argn(0)
grocer_s=grocer_tsmat('series')
grocer_nts=size(grocer_s,2)
grocer_names=grocer_tsmat('names')
grocer_str=''
 
for grocer_i=1:grocer_nts
 
   execstr(grocer_names(grocer_i)+'=tlist([''ts'';...
   ''freq'';''dates'';''series''],grocer_tsmat(''freq''),...
   grocer_tsmat(''dates''),grocer_s(:,grocer_i))')
   grocer_str=grocer_str+grocer_names(grocer_i)+', '
 
end
grocer_str=part(grocer_str,1:length(grocer_str)-2)
 
if grocer_nargout == grocer_nts then
   execstr('varargout=list('+grocer_str+')')
 
elseif grocer_nargout == 1 then
   varargout=list('ts '+grocer_str+' have been created')
   execstr('['+grocer_str+']=resume('+grocer_str+')')
 
else
   error('# of output series must be 0 or exactly the # of series ('+string(grocer_nts)+')')
 
end
 
endfunction
