function [bounds_out]=lagbounds(bounds_in,l)
 
// PURPOSE: lag bounds in a regression
// ------------------------------------------------------------
// INPUT:
// * bounds_in = the original bounds
// * l = the lag (positive or negative, if you want to extend
//    bounds in the past)
// ------------------------------------------------------------
// OUTPUT:
// * bounds_out = the lagged bounds
// ------------------------------------------------------------
// Copyright: Eric Dubois 2003
 
 
 
bounds_num=date2num_m(bounds_in)
fq=date2fq(bounds_in(1))
 
if l < 0 then
   bounds_out=[]
   for i=1:size(bounds_in,1)/2
      beg=bounds_num(2*i-1)-l
      if beg <= bounds_num(2*i) then
         bounds_out=[bounds_out ; num2date(beg,fq) ;..
                     bounds_in(2*i)]
      end
   end
else
   bounds_out=[num2date(bounds_num(1)+l,fq) ; bounds_in(2) ]
   for i=2:size(bounds_in,1)/2
     beg=bounds_num(2*i-1)-l
     bounds_out=[bounds_out ; num2date(max(beg,bounds_out(2*i-2)+1),fq) ;..
                    bounds_in(2*i)]
   end
end
endfunction
